-- Vhdl model created from schematic C:\xilinx_webpack\cpld\data\drawing\inv4.sch - Thu Aug 01 10:43:40 2002

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

ENTITY INV4_MXILINX_shema_p IS
   PORT ( I0	:	IN	STD_LOGIC; 
          I1	:	IN	STD_LOGIC; 
          I2	:	IN	STD_LOGIC; 
          I3	:	IN	STD_LOGIC; 
          O0	:	OUT	STD_LOGIC; 
          O1	:	OUT	STD_LOGIC; 
          O2	:	OUT	STD_LOGIC; 
          O3	:	OUT	STD_LOGIC);

end INV4_MXILINX_shema_p;

ARCHITECTURE SCHEMATIC OF INV4_MXILINX_shema_p IS

   ATTRIBUTE fpga_dont_touch : STRING ;
   ATTRIBUTE fpga_dont_touch OF I_36_37 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_38 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_39 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_40 : LABEL IS "true";

BEGIN

   I_36_37 : INV
      PORT MAP (I=>I3, O=>O3);

   I_36_38 : INV
      PORT MAP (I=>I2, O=>O2);

   I_36_39 : INV
      PORT MAP (I=>I1, O=>O1);

   I_36_40 : INV
      PORT MAP (I=>I0, O=>O0);

END SCHEMATIC;



-- Vhdl model created from schematic C:\xilinx_webpack\cpld\data\drawing\d2_4e.sch - Thu Aug 01 10:43:40 2002

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

ENTITY D2_4E_MXILINX_shema_p IS
   PORT ( A0	:	IN	STD_LOGIC; 
          A1	:	IN	STD_LOGIC; 
          E	:	IN	STD_LOGIC; 
          D0	:	OUT	STD_LOGIC; 
          D1	:	OUT	STD_LOGIC; 
          D2	:	OUT	STD_LOGIC; 
          D3	:	OUT	STD_LOGIC);

end D2_4E_MXILINX_shema_p;

ARCHITECTURE SCHEMATIC OF D2_4E_MXILINX_shema_p IS

   ATTRIBUTE fpga_dont_touch : STRING ;
   ATTRIBUTE fpga_dont_touch OF I_36_30 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_32 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_31 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF I_36_33 : LABEL IS "true";

BEGIN

   I_36_30 : AND3
      PORT MAP (I0=>A1, I1=>A0, I2=>E, O=>D3);

   I_36_32 : AND3B1
      PORT MAP (I0=>A1, I1=>A0, I2=>E, O=>D1);

   I_36_31 : AND3B1
      PORT MAP (I0=>A0, I1=>A1, I2=>E, O=>D2);

   I_36_33 : AND3B2
      PORT MAP (I0=>A0, I1=>A1, I2=>E, O=>D0);

END SCHEMATIC;



-- Vhdl model created from schematic shema_p.sch - Thu Aug 01 10:43:40 2002

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

ENTITY shema_p IS
   PORT ( LEMO_J4	:	IN	STD_LOGIC; 
          REG_OUT	:	IN	STD_LOGIC; 
          SHIFTOUT_B_4	:	IN	STD_LOGIC; 
          T1_D	:	IN	STD_LOGIC; 
          T2_D	:	IN	STD_LOGIC; 
          T3_D	:	IN	STD_LOGIC; 
          T4_D	:	IN	STD_LOGIC; 
          VADIG1	:	IN	STD_LOGIC; 
          VADIG3B	:	IN	STD_LOGIC; 
          VADIG5	:	IN	STD_LOGIC; 
          VADIG6B	:	IN	STD_LOGIC; 
          W_0	:	IN	STD_LOGIC; 
          W_1	:	IN	STD_LOGIC; 
          CK	:	OUT	STD_LOGIC; 
          CK_B	:	OUT	STD_LOGIC; 
          CLKIN	:	OUT	STD_LOGIC; 
          LED2	:	OUT	STD_LOGIC; 
          LOAD	:	OUT	STD_LOGIC; 
          READBACK	:	OUT	STD_LOGIC; 
          REG_IN	:	OUT	STD_LOGIC; 
          SHIFTOUT_B_1	:	OUT	STD_LOGIC; 
          SHIFTOUT_B_2	:	OUT	STD_LOGIC; 
          SHIFTOUT_B_3	:	OUT	STD_LOGIC; 
          SHIFT_IN_B	:	OUT	STD_LOGIC; 
          SIG12	:	OUT	STD_LOGIC; 
          SIG13	:	OUT	STD_LOGIC; 
          TANEG	:	OUT	STD_LOGIC; 
          TAPOS	:	OUT	STD_LOGIC);

end shema_p;

ARCHITECTURE SCHEMATIC OF shema_p IS
   SIGNAL XLXN_20	:	STD_LOGIC;
   SIGNAL XLXN_23	:	STD_LOGIC;
   SIGNAL XLXN_24	:	STD_LOGIC;
   SIGNAL XLXN_25	:	STD_LOGIC;
   SIGNAL XLXN_28	:	STD_LOGIC;
   SIGNAL XLXN_29	:	STD_LOGIC;
   SIGNAL XLXN_30	:	STD_LOGIC;
   SIGNAL XLXN_59	:	STD_LOGIC;
   SIGNAL XLXN_6	:	STD_LOGIC;
   SIGNAL XLXN_60	:	STD_LOGIC;
   SIGNAL XLXN_67	:	STD_LOGIC;
   SIGNAL XLXN_68	:	STD_LOGIC;
   SIGNAL XLXN_69	:	STD_LOGIC;
   SIGNAL XLXN_70	:	STD_LOGIC;
   SIGNAL XLXN_71	:	STD_LOGIC;
   SIGNAL XLXN_72	:	STD_LOGIC;
   SIGNAL XLXN_73	:	STD_LOGIC;
   SIGNAL XLXN_74	:	STD_LOGIC;
   SIGNAL XLXN_75	:	STD_LOGIC;
   SIGNAL XLXN_76	:	STD_LOGIC;
   SIGNAL XLXN_77	:	STD_LOGIC;
   SIGNAL XLXN_78	:	STD_LOGIC;
   SIGNAL XLXN_79	:	STD_LOGIC;
   SIGNAL XLXN_8	:	STD_LOGIC;
   SIGNAL XLXN_80	:	STD_LOGIC;
   SIGNAL XLXN_85	:	STD_LOGIC;
   SIGNAL XLXN_86	:	STD_LOGIC;
   SIGNAL XLXN_9	:	STD_LOGIC;

   ATTRIBUTE fpga_dont_touch : STRING ;
   ATTRIBUTE KEEP_HIERARCHY : STRING ;
   ATTRIBUTE KEEP_HIERARCHY OF XLXI_33 : LABEL IS "TRUE";
   ATTRIBUTE fpga_dont_touch OF XLXI_18 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_17 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_14 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_37 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_38 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_11 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_9 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_41 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_7 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_42 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_43 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_44 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_2 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_1 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_39 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_46 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_19 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_15 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_6 : LABEL IS "true";
   ATTRIBUTE KEEP_HIERARCHY OF XLXI_40 : LABEL IS "TRUE";
   ATTRIBUTE fpga_dont_touch OF XLXI_48 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_47 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_3 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_4 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_5 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_8 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_10 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_12 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_13 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_36 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_35 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_34 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_21 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_20 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_16 : LABEL IS "true";
   ATTRIBUTE fpga_dont_touch OF XLXI_45 : LABEL IS "true";

   COMPONENT D2_4E_MXILINX_shema_p
      PORT ( A0	:	IN	STD_LOGIC; 
             A1	:	IN	STD_LOGIC; 
             E	:	IN	STD_LOGIC; 
             D0	:	OUT	STD_LOGIC; 
             D1	:	OUT	STD_LOGIC; 
             D2	:	OUT	STD_LOGIC; 
             D3	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT INV4_MXILINX_shema_p
      PORT ( I0	:	IN	STD_LOGIC; 
             I1	:	IN	STD_LOGIC; 
             I2	:	IN	STD_LOGIC; 
             I3	:	IN	STD_LOGIC; 
             O0	:	OUT	STD_LOGIC; 
             O1	:	OUT	STD_LOGIC; 
             O2	:	OUT	STD_LOGIC; 
             O3	:	OUT	STD_LOGIC);
   END COMPONENT;

BEGIN

   XLXI_33 : D2_4E_MXILINX_shema_p
      PORT MAP (A0=>XLXN_59, A1=>XLXN_60, E=>XLXN_67, D0=>XLXN_73, D1=>XLXN_74,
      D2=>XLXN_75, D3=>XLXN_76);

   XLXI_18 : GND
      PORT MAP (G=>XLXN_29);

   XLXI_17 : IBUF
      PORT MAP (I=>LEMO_J4, O=>XLXN_28);

   XLXI_14 : IBUF
      PORT MAP (I=>SHIFTOUT_B_4, O=>XLXN_23);

   XLXI_37 : IBUF
      PORT MAP (I=>W_1, O=>XLXN_60);

   XLXI_38 : IBUF
      PORT MAP (I=>W_0, O=>XLXN_59);

   XLXI_11 : IBUF
      PORT MAP (I=>REG_OUT, O=>XLXN_20);

   XLXI_9 : IBUF
      PORT MAP (I=>VADIG6B, O=>XLXN_24);

   XLXI_41 : IBUF
      PORT MAP (I=>T4_D, O=>XLXN_80);

   XLXI_7 : IBUF
      PORT MAP (I=>VADIG3B, O=>XLXN_68);

   XLXI_42 : IBUF
      PORT MAP (I=>T3_D, O=>XLXN_79);

   XLXI_43 : IBUF
      PORT MAP (I=>T2_D, O=>XLXN_78);

   XLXI_44 : IBUF
      PORT MAP (I=>T1_D, O=>XLXN_77);

   XLXI_2 : IBUF
      PORT MAP (I=>VADIG1, O=>XLXN_9);

   XLXI_1 : IBUF
      PORT MAP (I=>VADIG5, O=>XLXN_6);

   XLXI_39 : INV
      PORT MAP (I=>XLXN_68, O=>XLXN_67);

   XLXI_46 : INV
      PORT MAP (I=>XLXN_85, O=>XLXN_86);

   XLXI_19 : INV
      PORT MAP (I=>XLXN_29, O=>XLXN_30);

   XLXI_15 : INV
      PORT MAP (I=>XLXN_24, O=>XLXN_25);

   XLXI_6 : INV
      PORT MAP (I=>XLXN_9, O=>XLXN_8);

   XLXI_40 : INV4_MXILINX_shema_p
      PORT MAP (I0=>XLXN_76, I1=>XLXN_75, I2=>XLXN_74, I3=>XLXN_73,
      O0=>XLXN_72, O1=>XLXN_71, O2=>XLXN_70, O3=>XLXN_69);

   XLXI_48 : OBUF
      PORT MAP (I=>XLXN_85, O=>TAPOS);

   XLXI_47 : OBUF
      PORT MAP (I=>XLXN_86, O=>TANEG);

   XLXI_3 : OBUF
      PORT MAP (I=>XLXN_6, O=>CLKIN);

   XLXI_4 : OBUF
      PORT MAP (I=>XLXN_9, O=>CK);

   XLXI_5 : OBUF
      PORT MAP (I=>XLXN_8, O=>CK_B);

   XLXI_8 : OBUF
      PORT MAP (I=>XLXN_72, O=>SHIFTOUT_B_3);

   XLXI_10 : OBUF
      PORT MAP (I=>XLXN_25, O=>REG_IN);

   XLXI_12 : OBUF
      PORT MAP (I=>XLXN_20, O=>SIG13);

   XLXI_13 : OBUF
      PORT MAP (I=>XLXN_23, O=>SIG12);

   XLXI_36 : OBUF
      PORT MAP (I=>XLXN_71, O=>SHIFTOUT_B_2);

   XLXI_35 : OBUF
      PORT MAP (I=>XLXN_70, O=>SHIFTOUT_B_1);

   XLXI_34 : OBUF
      PORT MAP (I=>XLXN_69, O=>SHIFT_IN_B);

   XLXI_21 : OBUF
      PORT MAP (I=>XLXN_29, O=>READBACK);

   XLXI_20 : OBUF
      PORT MAP (I=>XLXN_30, O=>LOAD);

   XLXI_16 : OBUF
      PORT MAP (I=>XLXN_28, O=>LED2);

   XLXI_45 : OR4
      PORT MAP (I0=>XLXN_80, I1=>XLXN_79, I2=>XLXN_78, I3=>XLXN_77, O=>XLXN_85);

END SCHEMATIC;



